[terraform]
enabled = false
dualstack_support = false # "•ᴗ•"
[load-balancing]
[ch-k8s-lbaas]

enabled       = false    # •ᴗ•
shared_secret = "..."   # REPLACE ME
version       = "0.6.0"
agent_port    = 15203

[kubernetes]
version = "{{ k8s_ymc_version }}" # •ᴗ•

is_gpu_cluster = false # •ᴗ•


[kubernetes.apiserver]
frontend_port = 8888 # •ᴗ•

[kubernetes.controller_manager]
[kubernetes.storage]
rook_enabled = false # •ᴗ•

nodeplugin_toleration = false # •ᴗ•

[kubernetes.local_storage.static]
enabled = false # •ᴗ•


[kubernetes.local_storage.dynamic]
enabled = true # •ᴗ•

[kubernetes.monitoring]
enabled = true # •ᴗ•

[kubernetes.global_monitoring]
enabled       = false                      # •ᴗ•
[kubernetes.network]
{% if yaook_k8s_ip6_enabled %}
pod_subnet_v6 = "{{ yaook_k8s_pod_network }}"
service_subnet_v6 = "{{ yaook_k8s_service_network }}"
{% else %}
pod_subnet = "{{ yaook_k8s_service_network }}" 
service_subnet = "{{ yaook_k8s_service_network }}"
{% endif %}

plugin = "calico" # •ᴗ•

#calico_ip_autodetection_method = "cidr={{ yaook_k8s_calico_node_subnet }}"


[kubernetes.network.calico]
[kubernetes.kubelet]
[kubernetes.continuous_join_key]
enabled = false # •ᴗ•

[k8s-service-layer.rook]

namespace    = "rook-ceph" # •ᴗ•
cluster_name = "rook-ceph" # •ᴗ•

[k8s-service-layer.prometheus]

[k8s-service-layer.cert-manager]
enabled = true # •ᴗ•


[k8s-service-layer.ingress]
enabled = true # •ᴗ•


[k8s-service-layer.etcd-backup]

[vault]
cluster_name = "{{ vault_cluster_name }}" #bzw. so wie das aufgesetzte docker cluster o.ä heißt


[k8s-service-layer.vault]
enabled =  false # dont change command line parameter

ingress = true

chart_version = "0.23.0"

namespace = "yaook-bmc"

dnsnames = ["vault-yaook.ymc.{{ cluster_name}}"]

management_cluster_integration = true


storage_class = "csi-driver-lvm-linear"

external_ingress_issuer_name = "vault-internal"

external_ingress_issuer_kind = "Issuer"

enable_backups = false

[k8s-service-layer.fluxcd]
[node-scheduling]
scheduling_key_prefix = "node-role.kubernetes.io"

[node-scheduling.labels]
{% for host in vars['yaook_k8s_ymc_master_nodes']%}
{{ host.name }} = ["operator.yaook.cloud/any=true", "infra.yaook.cloud/any=true", "any.yaook.cloud/api=true", "infra-bare-metal.yaook.cloud/ironic-any-service=true"]
{% endfor %}


[wireguard]
enabled = false
ip_cidr = "172.30.153.64/26"
ip_gw   = "172.30.153.65/26"

port = 7777 # •ᴗ•

[ipsec]

[testing.test-nodes]
[miscellaneous]

install_node_online_mode = true

wireguard_on_workers = false

container_runtime = "containerd"  # "•ᴗ•"

custom_ntp_servers = {{ yaook_k8s_ymc_ntp_server | to_json }}

install_node_service_reload_image = "registry.gitlab.com/yaook/images/service-reload/service-reload:1.0.49"
[nvidia.vgpu]

